﻿@model IPagedList<UserViewModel>
@{
    Layout = "_Layout";
}

<link rel="stylesheet" href="~/css/Admin/Users.css" />
<script src="~/js/Admin/Users.js"></script>



<div id="usersInfo">
    <table class="table">
        <tr>
            <th scope="col">UserId</th>
            <th scope="col">Name</th>
            <th scope="col">Ban/Unban</th>
            <th scope="col">Delete</th>
        </tr>
        @foreach (var user in Model)
        {
            if (user.Id == ViewBag.LoggedUserId)
            {
                continue;
            }
            <tr>
                <td>@user.Id</td>
                <td>@user.Name</td>

                @if (user.LockoutEnd == null)
                {
                    <td>
                        <button class="btn btn-outline-danger button-ban-user" data-user-id="@user.Id">Ban user</button>
                    </td>
                }
                else
                {
                    <td>
                        <button class="btn btn-outline-secondary button-unban-user" data-user-id="@user.Id">Unban user</button>
                    </td>
                }
                <td>
                    <button class="btn btn-outline-danger button-delete-user" data-user-id="@user.Id">Delete</button>
                </td>
            </tr>
        }
    </table>

    @if (Model.PageCount != 1)
    {
        for (int i = 0; i < Model.PageCount; i++)
        {
            var num = i + 1;

            <a class="pagination-numbers">@num</a>
        }
    }

</div>
